﻿
.contact-block{
  width: 600px;
  max-width: 100%;
  display: block;
  margin: 0 auto;
  text-align: center;
  position: relative;
  padding: 100px 0;
}
.contact-block .main-title-box{
  margin-bottom: 20px;
}
.contact-phone-title{
  font-size: 18px;
    color: #000;
    letter-spacing: 6px;
    padding-left: 5px;
    margin-bottom: 5px;
    box-sizing: border-box;
}
.contact-phone-list{
  margin-bottom: 5px;
  display: block;
}
.contact-phone-position{
  font-size: 22px;
  font-weight: bold;
}
.contact-phone-link{
  font-size: 20px;
  color: #555555;
  transition: all .5s ease;
}

.contact-info-form{
  width: 100%;
  display: block;
  margin-top: 15px;
}

.contact-form-list{
  width: 100%;
  display: block;
  margin-bottom: 40px;
}
.contact-form-text{
  font-size: 16px;
  color: #555555;
  display: block;
  background-color: #f5f5f5;
  width: 100%;
  height: 46px;
  border-radius: 5px;
  padding: 0 20px;
  box-sizing: border-box;
  border: 0;
}

.contact-form-list-textarea{
   font-size: 16px;
  color: #555555;
  display: block;
  background-color: #f5f5f5;
  width: 100%;
  height: 46px;
  border-radius: 5px;
  padding: 10px 20px;
  box-sizing: border-box;
  border: 0;
  resize: none;
  height: 200px;
  outline: none;
}

.contact-form-text::-webkit-input-placeholder { color: #555555;font-family: "微軟正黑體"; }
.contact-form-text:-moz-placeholder { color: #555555;font-family: "微軟正黑體"; }
.contact-form-text::-moz-placeholder { color: #f00;font-family: "微軟正黑體"; }
.contact-form-text:-ms-input-placeholder { color: #f00;font-family: "微軟正黑體"; }

.contact-form-list-textarea::-webkit-input-placeholder { color: #555555;font-family: "微軟正黑體"; }
.contact-form-list-textarea:-moz-placeholder { color: #555555;font-family: "微軟正黑體"; }
.contact-form-list-textarea::-moz-placeholder { color: #f00;font-family: "微軟正黑體"; }
.contact-form-list-textarea:-ms-input-placeholder { color: #f00;font-family: "微軟正黑體"; }

.button button{
  width: 160px;
  max-width: 100%;
  display: block;
  background-color: #ff9898;
  margin: 0 auto;
  overflow: hidden;
  border: 0;
  color: #FFF;
  padding: 12px 0;
  cursor: pointer;
  position: relative;
}
.button button span{
  font-size: 26px;
  font-weight: bold;
  transform: skewX(-10deg);
  display: block;
  letter-spacing: 3px;
  transition: all .5s ease;
  position: relative;
  top: 0;
  z-index: 1;
}

.contact-phone-box{
  padding-bottom: 20px;
}



.button-icon{
  width: 20px;
  height: 20px;
  display: block;
  position: absolute;
  left:calc(50% - 10px);
  transition: all .5s ease;
  top: 100%;
  transition-delay: 0s;
  z-index: 1;
}
.button button:after{
  content: 'none';
  font-size: 0;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background-color: #1b1b1b;
  transform: scale(0,1);
  transition: all .5s ease;
}

/*--------contact共用-----------*/
.contact-radio-lable,
.contact-checkbox-lable{
  display: inline-block; 

}
.contact-radio-lable input,
.contact-checkbox-lable input{
  opacity: 0;
  position: absolute;
  pointer-events: none;
}
.contact-radio-lable span,
.contact-checkbox-lable span{
  position: relative;
  display: block;
  vertical-align: middle;
  letter-spacing: 2px;
  padding-left: 30px;
}

.contact-radio-lable span:before,
.contact-checkbox-lable span:before{
  content: 'none';
  font-size: 0;
  width: 20px;
  height: 20px;
  display: block;
  position: absolute;
  left: 0;
  top: 4px;
  vertical-align: middle;
  box-sizing: border-box;
  border: 1px solid #d1d1d1;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  margin-right: 5px;
}

.contact-form-radio-list{
  margin-top: 10px;
}
.contact-form-list-title span{
  color: #c71313;
}

button{
  font-family: "微軟正黑體","Microsoft JhengHei";
}
.contact-form-select{
  width: 100%;
  height: 40px;
  box-sizing: border-box;
  border: 1px solid #555;
  display: block;
  margin-top: 10px;
  letter-spacing: 2px;
  padding-left: 10px;
  color: #555;
  position: relative;
  -webkit-appearance: none; /*Chrome*/
  -moz-appearance: none; /*FF*/
  appearance: none;/*CSS3*/
}
.contact-form-select-box{
  position: relative;
}
.contact-form-select-box:after{
  content: 'none';
  font-size: 0;
  width: 0px;
  height: 0px;
  margin: 0 auto;
  border-right: 10px solid transparent;
  border-top: 12px solid #555;
  border-left: 10px solid transparent;
  display: block;
  position: absolute;
  right: 10px;
  top: 15px;
  pointer-events: none;
}
.contact-form-select-box:before{
  content: 'none';
  font-size: 0;
  width: 40px;
  height: 100%;
  display: block;
  border-left: 1px solid #555;
  position: absolute;
  right: 0;
  top: 0;
  z-index: 1;
}

.contact-checkbox-lable input:checked + span:before{
  background-image: url(../img/front/checked.png);
  background-repeat: no-repeat;
  background-size: 80%;
  background-position: center;
}
.contact-checkbox-lable input:checked + span:before{
  background-image: url(../img/front/checked.png);
  background-size: 70%;
}

/*表單送出*/
.contact-thanks-box,
.alert-box{
  width: 100%;
  height: 100vh;
  display: none;
  position: fixed;
  z-index: 999;
  top: 0;
  left: 0;
}
.contact-thanks-box.active,
.alert-box.active{
  -webkit-align-items: center;
          align-items: center;
    -webkit-justify-content: center;
          justify-content: center;
    display: -webkit-flex;
    display:         flex;
}
.contact-thanks,
.alert-info{
  background-color: #000;
  position: relative;
  padding: 80px;
  border-radius: 5px;
  z-index: 6;
}
.alert-info-box{
  position: relative;
}
.contact-thanks-p{
  font-size: 26px;
  line-height: 1.6;
  letter-spacing: 2px;
  font-weight: bold;
  color: #FFF;
  display: block;
}
.contact-out,
.alert-out{
  width: 20px;
  height: 20px;
  max-width: 100%;
  display: block;
  position: absolute;
  border-radius: 50%;
  border: 1px solid #FFF;
  top: 4%;
  right: 4%;
  cursor: pointer;
}
.contact-out span,
.alert-out span{
  width: 15px;
  height: 1px;
  background-color: #FFF;
  display: block;
  margin: 0 auto;
  position: relative;
}
.alert-out{
  z-index: 6;
}
.contact-out span:nth-child(1),
.alert-out span:nth-child(1){
  top: 9px;
    left: 0.5px;
    transform: rotate(45deg);
}
.contact-out span:nth-child(2),
.alert-out span:nth-child(2){
    top: 8px;
    left: 0.5px;
    transform: rotate(-45deg);
}
.contact-thanks-mask,
.alert-mask{
  width: 100%;
  height: 100vh;
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
  background-color: rgba(0, 0, 0, 0.3);
}

